=== debian/control ===
Source: ltrctl
Priority: optional
Maintainer: Borisov Alexey <borisov@lcard.ru>
Build-Depends: debhelper (>= 8.0.0), cmake, libltrapi1-dev (>= 1.31.1)
Standards-Version: 3.9.3
Section: electronics
Homepage: "http://www.lcard.ru"

Package: ltrctl
Section: libdevel
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description:Command line frontend for ltrd daemon.
 This is command line frontend for ltrd daemon which control L Card
 LTR-Crates. ltrctl allows you send command to ltrd for control 
 crate connection, log level, get crate list, etc.
